Package org.wso2.carbon.proxyadmin.stub.types.carbon

## Class ProxyServicePolicyInfo

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.carbon.ProxyServicePolicyInfo

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class ProxyServicePolicyInfo
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  ProxyServicePolicyInfo bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ProxyServicePolicyInfo.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `localKey` | field for Key
    `protected boolean` | `localKeyTracker` |
    `protected String` | `localOperationName` | field for OperationName
    `protected boolean` | `localOperationNameTracker` |
    `protected String` | `localOperationNS` | field for OperationNS
    `protected boolean` | `localOperationNSTracker` |
    `protected String` | `localType` | field for Type
    `protected boolean` | `localTypeTracker` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyServicePolicyInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getKey()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `String` | `getOperationName()` | Auto generated getter method
    `String` | `getOperationNS()` | Auto generated getter method
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `String` | `getType()` | Auto generated getter method
    `boolean` | `isKeySpecified()` |
    `boolean` | `isOperationNameSpecified()` |
    `boolean` | `isOperationNSSpecified()` |
    `boolean` | `isTypeSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setKey​(String param)` | Auto generated setter method
    `void` | `setOperationName​(String param)` | Auto generated setter method
    `void` | `setOperationNS​(String param)` | Auto generated setter method
    `void` | `setType​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localKey

          protected String localKey

      field for Key

    - #### localKeyTracker

          protected boolean localKeyTracker

    - #### localOperationNS

          protected String localOperationNS

      field for OperationNS

    - #### localOperationNSTracker

          protected boolean localOperationNSTracker

    - #### localOperationName

          protected String localOperationName

      field for OperationName

    - #### localOperationNameTracker

          protected boolean localOperationNameTracker

    - #### localType

          protected String localType

      field for Type

    - #### localTypeTracker

          protected boolean localTypeTracker

  - ### Constructor Detail

    - #### ProxyServicePolicyInfo

          public ProxyServicePolicyInfo()

  - ### Method Detail

    - #### isKeySpecified

          public boolean isKeySpecified()

    - #### getKey

          public String getKey()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setKey

          public void setKey​(String param)

      Auto generated setter method
      Parameters:
        `param` - Key

    - #### isOperationNSSpecified

          public boolean isOperationNSSpecified()

    - #### getOperationNS

          public String getOperationNS()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setOperationNS

          public void setOperationNS​(String param)

      Auto generated setter method
      Parameters:
        `param` - OperationNS

    - #### isOperationNameSpecified

          public boolean isOperationNameSpecified()

    - #### getOperationName

          public String getOperationName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setOperationName

          public void setOperationName​(String param)

      Auto generated setter method
      Parameters:
        `param` - OperationName

    - #### isTypeSpecified

          public boolean isTypeSpecified()

    - #### getType

          public String getType()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setType

          public void setType​(String param)

      Auto generated setter method
      Parameters:
        `param` - Type

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`